import {useApp} from "../hooks/simple";

export function Price({amount}: {amount: number}){
  const {locale: {country, language, currency}} = useApp()
  const {code, decimals, name, symbol, display, grouping} = currency
  const value = Intl.NumberFormat(`${country.code}-${language.code}`, {
    style: 'currency',
    currency: code,
    currencyDisplay: display as any,
    useGrouping: grouping as any,
    // @ts-ignore
    trailingZeroDisplay: 'stripIfInteger'
  }).format(amount)
  return (
    <>{value}</>
  )
}